For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of payments
      • POSTCreate a payment
      • GETGet a payment by ID
      • POSTRefund a payment
      • POSTAuthorize a payment
      • POSTVerify payment details
      • GETGet Payment Requests
      • GETGet a Payment Request by ID
  • Event API
LoginSandbox
Transaction APIPayments

Get a list of payments

GET
/v:version/payments
GET
/v:version/payments
$curl https://api.solvimon.com/v1/payments \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "created_at": "string",
7 "timestamp": "2024-01-15T09:30:00Z",
8 "customer_id": "string",
9 "customer": {
10 "object_type": "string",
11 "id": "string",
12 "created_at": "string",
13 "parent_customer_id": "string",
14 "parent_customer_ids": [
15 "string"
16 ],
17 "reference": "string",
18 "status": "DRAFT",
19 "timezone": "string",
20 "type": "ORGANIZATION",
21 "email": "string",
22 "notification_preferences": [
23 {
24 "type": "INVOICE",
25 "channels": [
26 {
27 "type": "EMAIL",
28 "enabled": true
29 }
30 ]
31 }
32 ],
33 "locale": "string",
34 "individual": {
35 "name": {
36 "first_name": "string",
37 "last_name": "string",
38 "infix": "string"
39 },
40 "residential_address": {
41 "line1": "string",
42 "line2": "string",
43 "city": "string",
44 "postal_code": "string",
45 "state": "string",
46 "country": "AD"
47 }
48 },
49 "organization": {
50 "legal_name": "string",
51 "tax_id": "string",
52 "tax_ids": [
53 {
54 "id": "string",
55 "type": "GENERIC_TAX_ID",
56 "display_name": "string",
57 "tax_id_validation_result": {
58 "id": "string",
59 "validation_date": "string",
60 "source": "string",
61 "valid": "VALID",
62 "message": "string"
63 }
64 }
65 ],
66 "registration_number": "string",
67 "tax_exempt": true,
68 "tax_exempt_note": "string",
69 "registered_address": {
70 "line1": "string",
71 "line2": "string",
72 "city": "string",
73 "postal_code": "string",
74 "state": "string",
75 "country": "AD"
76 },
77 "tax_registrations": [
78 {
79 "id": "string",
80 "description": "string",
81 "tax_id": "string",
82 "tax_ids": [
83 {
84 "id": "string",
85 "type": "GENERIC_TAX_ID",
86 "display_name": "string",
87 "tax_id_validation_result": {
88 "id": "string",
89 "validation_date": "string",
90 "source": "string",
91 "valid": "VALID",
92 "message": "string"
93 }
94 }
95 ],
96 "registration_number": "string",
97 "registered_address": {
98 "line1": "string",
99 "line2": "string",
100 "city": "string",
101 "postal_code": "string",
102 "state": "string",
103 "country": "AD"
104 }
105 }
106 ]
107 },
108 "custom_fields": [
109 {
110 "id": "string",
111 "reference": "string",
112 "value": "string",
113 "values": [
114 "string"
115 ],
116 "integration_details": {
117 "id": "string",
118 "reference": "string",
119 "payment_gateway_variant": "ADYEN",
120 "adyen": {
121 "recurring_detail_reference": "string"
122 },
123 "stripe": {
124 "payment_method_id": "string"
125 }
126 }
127 }
128 ],
129 "processing_only": true,
130 "pricing_plan_subscription_selector": {
131 "data": [
132 {
133 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
134 "value": "string"
135 }
136 ],
137 "rules": [
138 {
139 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
140 "type": "EQUALS"
141 }
142 ],
143 "filters": [
144 {
145 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
146 "type": "EQUALS",
147 "value": "string"
148 }
149 ],
150 "fallback": "LATEST"
151 },
152 "linked_integrations": [
153 {
154 "id": "string",
155 "link_details": [
156 {
157 "url": "string",
158 "custom_field_name": "string"
159 }
160 ]
161 }
162 ],
163 "roles": [
164 "DEFAULT"
165 ],
166 "seller_details": {
167 "default_billing_entity_id": "string"
168 }
169 },
170 "invoice_id": "string",
171 "payment_acceptor_id": "string",
172 "payment_acceptor_reference": "string",
173 "payment_method_id": "string",
174 "payment_method_details": {
175 "type": "CARD",
176 "card": {
177 "brand": "string",
178 "name": "string",
179 "expiry_date": {
180 "expiry_month": 1,
181 "expiry_year": 1
182 },
183 "last_four_digits": "string",
184 "country": "string"
185 },
186 "online_banking": {
187 "variant": "string",
188 "owner_name": "string",
189 "iban": "string",
190 "bic": "string",
191 "country": "AD"
192 },
193 "buy_now_pay_later": {
194 "variant": "string"
195 },
196 "direct_debit": {
197 "variant": "string",
198 "owner_name": "string",
199 "iban": "string",
200 "bic": "string",
201 "country": "AD"
202 },
203 "digital_wallet": {
204 "variant": "string"
205 },
206 "unknown": {
207 "variant": "string"
208 }
209 },
210 "integration_payment_method_reference": "string",
211 "external_reference": "string",
212 "amount": {
213 "quantity": "string",
214 "currency": "AED"
215 },
216 "result": "AUTHORIZED",
217 "result_details": {
218 "code": "string",
219 "reason": "string",
220 "external_code": "string",
221 "external_reason": "string"
222 },
223 "dunning_action_details": {
224 "attempt": 1,
225 "external_reference": "string",
226 "next_attempt_scheduled": true
227 },
228 "updated_at": "string",
229 "context": {
230 "type": "INVOICE",
231 "related_resource_ids": [
232 {
233 "type": "PLATFORM",
234 "id": "string"
235 }
236 ],
237 "metadata": {},
238 "init_pricing_plan_subscription": {
239 "template_pricing_plan_subscription_id": "string",
240 "pricing_plan_subscription_id": "string",
241 "billing_entity_id": "string",
242 "customer_details": {
243 "object_type": "string",
244 "id": "string",
245 "created_at": "string",
246 "parent_customer_id": "string",
247 "parent_customer_ids": [
248 "string"
249 ],
250 "reference": "string",
251 "status": "DRAFT",
252 "timezone": "string",
253 "type": "ORGANIZATION",
254 "email": "string",
255 "notification_preferences": [
256 {
257 "type": "INVOICE",
258 "channels": [
259 {
260 "type": "EMAIL",
261 "enabled": true
262 }
263 ]
264 }
265 ],
266 "locale": "string",
267 "individual": {
268 "name": {
269 "first_name": "string",
270 "last_name": "string",
271 "infix": "string"
272 },
273 "residential_address": {
274 "line1": "string",
275 "line2": "string",
276 "city": "string",
277 "postal_code": "string",
278 "state": "string",
279 "country": "AD"
280 }
281 },
282 "organization": {
283 "legal_name": "string",
284 "tax_id": "string",
285 "tax_ids": [
286 {
287 "id": "string",
288 "type": "GENERIC_TAX_ID",
289 "display_name": "string",
290 "tax_id_validation_result": {
291 "id": "string",
292 "validation_date": "string",
293 "source": "string",
294 "valid": "VALID",
295 "message": "string"
296 }
297 }
298 ],
299 "registration_number": "string",
300 "tax_exempt": true,
301 "tax_exempt_note": "string",
302 "registered_address": {
303 "line1": "string",
304 "line2": "string",
305 "city": "string",
306 "postal_code": "string",
307 "state": "string",
308 "country": "AD"
309 },
310 "tax_registrations": [
311 {
312 "id": "string",
313 "description": "string",
314 "tax_id": "string",
315 "tax_ids": [
316 {
317 "id": "string",
318 "type": "GENERIC_TAX_ID",
319 "display_name": "string",
320 "tax_id_validation_result": {
321 "id": "string",
322 "validation_date": "string",
323 "source": "string",
324 "valid": "VALID",
325 "message": "string"
326 }
327 }
328 ],
329 "registration_number": "string",
330 "registered_address": {
331 "line1": "string",
332 "line2": "string",
333 "city": "string",
334 "postal_code": "string",
335 "state": "string",
336 "country": "AD"
337 }
338 }
339 ]
340 },
341 "custom_fields": [
342 {
343 "id": "string",
344 "reference": "string",
345 "value": "string",
346 "values": [
347 "string"
348 ],
349 "integration_details": {
350 "id": "string",
351 "reference": "string",
352 "payment_gateway_variant": "ADYEN",
353 "adyen": {
354 "recurring_detail_reference": "string"
355 },
356 "stripe": {
357 "payment_method_id": "string"
358 }
359 }
360 }
361 ],
362 "processing_only": true,
363 "pricing_plan_subscription_selector": {
364 "data": [
365 {
366 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
367 "value": "string"
368 }
369 ],
370 "rules": [
371 {
372 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
373 "type": "EQUALS"
374 }
375 ],
376 "filters": [
377 {
378 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
379 "type": "EQUALS",
380 "value": "string"
381 }
382 ],
383 "fallback": "LATEST"
384 },
385 "linked_integrations": [
386 {
387 "id": "string",
388 "link_details": [
389 {
390 "url": "string",
391 "custom_field_name": "string"
392 }
393 ]
394 }
395 ],
396 "roles": [
397 "DEFAULT"
398 ],
399 "seller_details": {
400 "default_billing_entity_id": "string"
401 }
402 },
403 "pricing_plan_schedule_customizations": [
404 {
405 "pricing_plan_schedule_id": "string",
406 "seats_values": [
407 {
408 "pricing_item_config_id": "string",
409 "number": "string",
410 "amount": {
411 "quantity": "string",
412 "currency": "AED"
413 },
414 "start_at": "2024-01-15T09:30:00Z",
415 "end_at": "string"
416 }
417 ],
418 "enabled_pricings": [
419 {
420 "pricing_id": "string",
421 "start_at": "2024-01-15T09:30:00Z",
422 "end_at": "2024-01-15T09:30:00Z"
423 }
424 ],
425 "promotion_codes": [
426 "string"
427 ],
428 "pricing_currency": "AED",
429 "billing_period": {
430 "type": "DAY",
431 "value": 1
432 }
433 }
434 ],
435 "enabled_pricings": [
436 {
437 "pricing_id": "string",
438 "start_at": "2024-01-15T09:30:00Z",
439 "end_at": "2024-01-15T09:30:00Z"
440 }
441 ]
442 },
443 "create_payment_method": {
444 "payment_method_id": "string"
445 },
446 "payment_request": {
447 "payment_request_id": "string"
448 },
449 "pay_invoice": {
450 "invoice_id": "string"
451 }
452 }
453 }
454 ],
455 "page": 1,
456 "limit": 1,
457 "links": {
458 "first": "string",
459 "previous": "string",
460 "current": "string",
461 "next": "string"
462 },
463 "total_number_of_pages": 1
464}
Requires the PAYMENT.VIEW permission.
Was this page helpful?
Previous

Create a payment

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringOptional
Filter based of customer ID
invoice_idstringOptional
Filter based of invoice ID
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
linksobject
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error